export declare const createFieldArgGetter: (fieldName: string) => (argPath: string) => string;
/**
 * Creates a function which replaces all
 * "$args"
 * "$args.foo.bar" or
 * "$args['foo'].bar" or
 * "$args["foo"].bar" or
 * "$args[$args.foo].bar"
 * with the real argument string
 */
export declare const createArgReplacer: (argGetter: (name: string) => any) => (str: string) => string;
export declare const createAllReplacer: ({ fieldName, parentName, }: {
    fieldName: string;
    parentName: string;
}) => (text: string) => string;
